import { b as brandName, k as __vitePreload } from "./index.6efe7949.js";
import { at as defineAsyncComponent, r as ref, b as computed } from "./vendor.3cec40e2.js";
const NavbarLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.a2cc2eb1.js"), true ? ["assets/AppLayout.a2cc2eb1.js","assets/AppLayout.051eba33.css","assets/index.6efe7949.js","assets/index.53e00c2c.css","assets/vendor.3cec40e2.js","assets/VIconButton.574feb36.js","assets/VAvatar.33536718.js","assets/VControl.a99bee55.js","assets/VControl.243637c8.css","assets/VField.8da936be.js","assets/VModal.6f72063a.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.58c7ccdb.js","assets/VDropdown.df4e184c.js","assets/VDropdown.cf5f0efd.css","assets/VIcon.8851f5d9.js","assets/mesaService.b8e7721f.js","assets/masterService.e3fa40ca.js"] : void 0));
const NavbarDropdownLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.a2cc2eb1.js"), true ? ["assets/AppLayout.a2cc2eb1.js","assets/AppLayout.051eba33.css","assets/index.6efe7949.js","assets/index.53e00c2c.css","assets/vendor.3cec40e2.js","assets/VIconButton.574feb36.js","assets/VAvatar.33536718.js","assets/VControl.a99bee55.js","assets/VControl.243637c8.css","assets/VField.8da936be.js","assets/VModal.6f72063a.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.58c7ccdb.js","assets/VDropdown.df4e184c.js","assets/VDropdown.cf5f0efd.css","assets/VIcon.8851f5d9.js","assets/mesaService.b8e7721f.js","assets/masterService.e3fa40ca.js"] : void 0));
const NavbarSearchLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.a2cc2eb1.js"), true ? ["assets/AppLayout.a2cc2eb1.js","assets/AppLayout.051eba33.css","assets/index.6efe7949.js","assets/index.53e00c2c.css","assets/vendor.3cec40e2.js","assets/VIconButton.574feb36.js","assets/VAvatar.33536718.js","assets/VControl.a99bee55.js","assets/VControl.243637c8.css","assets/VField.8da936be.js","assets/VModal.6f72063a.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.58c7ccdb.js","assets/VDropdown.df4e184c.js","assets/VDropdown.cf5f0efd.css","assets/VIcon.8851f5d9.js","assets/mesaService.b8e7721f.js","assets/masterService.e3fa40ca.js"] : void 0));
const layoutsComponents = {
  "navbar-default": NavbarLayout,
  "navbar-fade": NavbarLayout,
  "navbar-colored": NavbarLayout,
  "navbar-dropdown": NavbarDropdownLayout,
  "navbar-dropdown-colored": NavbarDropdownLayout,
  "navbar-clean": NavbarSearchLayout,
  "navbar-clean-center": NavbarSearchLayout,
  "navbar-clean-fade": NavbarSearchLayout
};
const navbarLayoutId = ref("navbar-default");
computed(() => {
  return layoutsComponents[navbarLayoutId.value] || NavbarLayout;
});
computed(() => {
  switch (navbarLayoutId.value) {
    case "navbar-fade":
    case "navbar-clean-fade":
      return "fade";
    case "navbar-colored":
    case "navbar-dropdown-colored":
      return "colored";
    case "navbar-clean-center":
      return "center";
    default:
      return "default";
  }
});
const pageTitle = computed(() => brandName.value);
export { pageTitle as p };
